# Monal for XMPP
## A cross platform, modern XMPP client for iOS and macOS
[![Alpha build status](https://github.com/monal-im/Monal/actions/workflows/alpha.build-push.yml/badge.svg?branch=alpha.build)](https://github.com/monal-im/Monal/actions/workflows/alpha.build-push.yml)
[![Translation status](https://hosted.weblate.org/widgets/monal/-/svg-badge.svg)](https://hosted.weblate.org/engage/monal/?utm_source=widget)

This is the Monal XMPP client as found in the app store.  If you want to  use the latest stable versions, search for Monal in the iOS or OSX app store. [Visit the blog to read about the development](https://monal.im)!

## Releases
|        | iOS                                                      | macOS                                                    | macOS (homebrew)                            |
|--------|----------------------------------------------------------|----------------------------------------------------------|---------------------------------------------|
| Stable | [App Store](https://apps.apple.com/app/id317711500)      | [App Store](https://apps.apple.com/app/id1499227291)     |                                             |
| Beta   | [Testflight](https://testflight.apple.com/join/RjIlyvqa) | [Testflight](https://testflight.apple.com/join/nBWaZryI) | brew install --cask monal                   |
| Alpha  |                                                          |                                                          | brew tap monal-im/homebrew-monal-alpha<br>brew install --cask monal-alpha |



### iOS Screenshots
<p float="left">
<img src ="https://monal.im/wp-content/uploads/2020/02/Simulator-Screen-Shot-iPhone-8-2020-02-17-at-15.58.26-1.png" width=250 >
<img src="https://monal.im/wp-content/uploads/2020/02/Simulator-Screen-Shot-iPhone-8-2020-02-17-at-15.56.17-4.png" width="250">  <img src="https://monal.im/wp-content/uploads/2020/02/Simulator-Screen-Shot-iPhone-8-2020-02-17-at-14.59.51-1.png" width="250">
</p>

### macOS Screenshot

<img src="https://monal.im/wp-content/uploads/2020/02/Screen-Shot-2020-02-15-at-10.28.38-PM-1.png" width="500">

## Support Chat (MUC)

You can join this public chat (MUC) via XMPP:

[monal@chat.yax.im](xmpp:monal@chat.yax.im?join)

## Donations and Support

Monal is developed by volunteers and community collaboration. The work which has been done is usually not paid and the developers ask for donations to keep up service costs and development in the future! Please consider to give a little bit back for the hard work which has been conducted. Currently there are three ways for financial support of the Monal development:

- Donate via [GitHub Sponsors](https://github.com/sponsors/tmolitor-stud-tu)
- Donate via [Libera Pay](https://liberapay.com/tmolitor)
- EU citizens can donate via SEPA, too. Just contact Thilo Molitor via mail to thilo+monal@eightysoft.de to get his IBAN.

Here you can read about further [support of the development](https://github.com/monal-im/Monal/issues/363)!

Find general information in the [Monal Wiki](https://github.com/monal-im/Monal/wiki).

### Translations

We host and manage translations via [Weblate](https://hosted.weblate.org/engage/monal/).

[![Detailed translation status](https://hosted.weblate.org/widgets/monal/-/multi-auto.svg)](https://hosted.weblate.org/engage/monal/?utm_source=widget)

### Platform information

Monal requires at least iOS 12 and macOS 10.15 (Catalina)

### Supported XEPs

Take a look at this list to get information on [supported XEPs by Monal](https://github.com/monal-im/Monal/blob/develop/XEPsupport.md).

### License
Monal is licensed under the BSD license. Any code contributions should be compatible with that license.  ** NO GPL ** .  By contributing to this project, you agree that your code is not GPL or any similarly restrictive license. You agree that your code can be used to publish in App stores such as Apple's that use DRM.

### Pull Requests
We take pull requests. Please use the develop branch to make changes. Please take a look at:

- [Overview: Tasks and Issues](https://github.com/monal-im/Monal/issues/322) 
- [Support Monal](https://github.com/monal-im/Monal/issues/363)

Monal is licensed under the BSD license. Any code contributions should be compatible with that license.  ** NO GPL ** .  By contributing to this project, you agree that your code is not GPL or any similarly restrictive license. You agree that your code can be used to publish in App stores such as Apple's that use DRM.
